CarrierMasterResponse

object

Persisted carrier master record. Server owns id.

idstring(uuid)

Server-generated unique identifier.

Example:550e8400-e29b-41d4-a716-446655440000

carrierstring

Unique carrier code (uppercase).

Example:ACME

carrierNamestring

Display name for the carrier.

Example:Acme Insurance

Example

ProductMasterRequest

object

Request body to create or update a product master record.

carrierstringrequired

Carrier code (required, non-blank). Trimmed and stored uppercase.

>= 1 characters

Example:ACME

productIdstringrequired

Unique product identifier (required, non-blank). Trimmed on save. Upsert key.

>= 1 characters

Example:PROD-001

planCodestringrequired

Plan code (required, non-blank). Trimmed on save.

>= 1 characters

Example:PLAN-A

productNamestringrequired

Display name for the product (required, non-blank). Trimmed on save.

>= 1 characters

Example:Term Life

Example

ProductMasterResponse

object

Persisted product master record. Server owns id.

idstring(uuid)

Server-generated unique identifier.

Example:550e8400-e29b-41d4-a716-446655440000

carrierstring

Carrier code (uppercase).

Example:ACME

productIdstring

Unique product identifier.

Example:PROD-001

planCodestring

Plan code.

Example:PLAN-A

productNamestring

Display name for the product.

Example:Term Life

Example

ExceptionRefDetailsModel

object
idstring

Example:DE.NM.01

categorystring

Example:Form

reasonstring

Example:Redemption Form

detailedReasonstring

Example:Incorrect form provided

exceptionSubRefsarray[object]
Show Child Parameters
Example

ExceptionRefDetailsSearchRequest

object
categoryarray[string]

A list of categories for the search

Example:Form, Agent

carrierstring

The carrier associated with the request

Example:Carrier_1

processstring

The process associated with the request

Example:Withdrawal

Example